<template>
    <div class="error-page">
      <div style="display:flex;align-items:center;">
        <div class="error-page-svg">
        <slot />
      </div>
      <div>
        <div class="ZH">抱歉，您没有访问权限！</div>
        <div class="EN">
          <div>
            <span style="font-size:28px">W</span>
            <span>e are </span>
            <span style="font-size:34px">sorry，</span>
          </div>
          <div>
              you have no access permission!
          </div>
        </div>
        <div class="foot">
          5秒后将自动跳到首页......
        </div>
      </div>
      </div>
      
        <el-button type="primary" @click="to">回到首页</el-button>
    </div>
</template>
<script>
export default {
  data() {
    return {
      timer:null,
    }
  },
  mounted() {
    var that = this
    this.timer = setTimeout(()=>{
      that.to()
    },5000)
  },
  methods: {
    to(){
      this.$router.replace(
        {
          path:'/home'
        }
      )
      clearTimeout(this.timer)
    }
  },
  beforeDestroy() {
    clearTimeout(this.timer)
  },
}
</script>
  
<style lang="scss" scoped>
.error-page {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    &-svg {
      width: 400px;
      margin-bottom: 50px;
    }
  }
  .ZH{
    font-size: 34px;
  }
  .EN{
    font-family: 'Courier New', Courier, monospace;
    font-size: 22px;
    font-weight: 600;
    color: rgb(255,71,95);
  }
  .foot{
    margin: 20px 0;
  }
  </style>
  